Update desk breaks

Configures which breaks are available to agents on a desk.

Parameters. id (path): the desk to update. useGlobalBreaks (boolean): set to true to use your account's global breaks, or false to use a custom set. breakIds (array): the break IDs to make available on the desk when using a custom set. The default break is always included.
Returns. { "userDesk": { ... } } with the updated desk.
Example. POST /api/desks/desk-breaks/5 with { "useGlobalBreaks": false, "breakIds": [2, 3, 6] }

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

Desk ID.

Body Params
boolean

Whether the desk should use the global breaks.

breakIds
array of integers

An array of break (state) IDs to assign to the desk. Break ID 1 is always included.

breakIds
Responses

Language
Credentials
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json